#include "mainwindow.h"

AutomaticFeedingModeCombobox::AutomaticFeedingModeCombobox(QWidget *parent) :
    QComboBox(parent)
{
    changed = true;
    current_item = false;
}

void AutomaticFeedingModeCombobox::initialize(INT_SETTING_VALUE afm_para)
{
    current_item = (bool)afm_para.select;
}

void AutomaticFeedingModeCombobox::update_ui(INT_SETTING_VALUE afm_para)
{
    if(changed == true){
        this->clear();
        if(afm_para.capability.supportLevel == kSDISupportLevelAvailable){
            this->add_item();
            this->select_item(afm_para);
            this->set_enabled(true);
            this->show();
        }else if(afm_para.capability.supportLevel == kSDISupportLevelUnavailable){
            this->add_item();
            this->set_enabled(false);
            this->show();
        }else if(afm_para.capability.supportLevel == kSDISupportLevelNone){
            this->hide();
        }
        changed = false;
    }
}

void AutomaticFeedingModeCombobox::set_enabled(bool enabled)
{
    this->setEnabled(enabled);
}

void AutomaticFeedingModeCombobox::add_item()
{
    int i = 0;
    this->insertItem(i, TranslationString::GetString().translation_str.AUTOFEEDMODE_005, Off);
    i++;
    this->insertItem(i, TranslationString::GetString().translation_str.AUTOFEEDMODE_006, On);
    i++;
}

void AutomaticFeedingModeCombobox::select_item(INT_SETTING_VALUE afm_para)
{
    if(afm_para.select){
        this->setCurrentIndex(On);
    }else {
        this->setCurrentIndex(Off);
    }
}

void AutomaticFeedingModeCombobox::item_event(int value, INT_SETTING_VALUE* afm_para)
{
    QVariant select_item = this->itemData(value);

    if(select_item == Off){
        afm_para->select = current_item = false;
    }else if(select_item == On){
        afm_para->select = current_item = true;
    }
    changed = true;
}
